src/fvm/fvm_nodal_from_desc.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
fvm_nodal_from_desc.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_defs.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_priv.h"`
`#include "cs_parall.h"`
`#include "fvm_nodal_from_desc.h"`
Include dependency graph for fvm_nodal_from_desc.c:

## Enumerations
enum | fvm_nodal_from_desc_t { FVM_NODAL_FROM_DESC_SUCCESS, FVM_NODAL_FROM_DESC_FAILURE, FVM_NODAL_FROM_DESC_WORIENT }

## Functions
void | fvm_nodal_from_desc_add_cells (fvm_nodal_t *this_nodal, const cs_lnum_t n_extr_cells, const cs_lnum_t extr_cells[], const int n_face_lists, const cs_lnum_t face_list_shift[], const cs_lnum_t *face_vertex_idx[], const cs_lnum_t *face_vertex_num[], const cs_lnum_t cell_face_idx[], const cs_lnum_t cell_face_num[], const int cell_gc_id[], const cs_lnum_t parent_cell_num[], cs_lnum_t *cell_face_list[])
void | fvm_nodal_from_desc_add_faces (fvm_nodal_t *this_nodal, const cs_lnum_t n_extr_faces, const cs_lnum_t extr_faces[], const int n_face_lists, const cs_lnum_t face_list_shift[], const cs_lnum_t *face_vertex_idx[], const cs_lnum_t *face_vertex_num[], const int *face_gc_id[], const cs_lnum_t parent_face_num[])
fvm_element_t | fvm_nodal_from_desc_cell (const cs_lnum_t cell_id, const int n_face_lists, const cs_lnum_t face_list_shift[], const cs_lnum_t *face_vertex_idx[], const cs_lnum_t *face_vertex_num[], const cs_lnum_t cell_face_idx[], const cs_lnum_t cell_face_num[], cs_lnum_t vertex_num[8])

## Enumeration Type Documentation

enum fvm_nodal_from_desc_t

Enumerator
FVM_NODAL_FROM_DESC_SUCCESS |
FVM_NODAL_FROM_DESC_FAILURE |
FVM_NODAL_FROM_DESC_WORIENT |

## Function Documentation

void fvm_nodal_from_desc_add_cells | ( | fvm_nodal_t * | this_nodal,
|  | const cs_lnum_t | n_extr_cells,
|  | const cs_lnum_t | extr_cells[],
|  | const int | n_face_lists,
|  | const cs_lnum_t | face_list_shift[],
|  | const cs_lnum_t * | face_vertex_idx[],
|  | const cs_lnum_t * | face_vertex_num[],
|  | const cs_lnum_t | cell_face_idx[],
|  | const cs_lnum_t | cell_face_num[],
|  | const int | cell_gc_id[],
|  | const cs_lnum_t | parent_cell_num[],
|  | cs_lnum_t * | cell_face_list[]
| ) |  |

void fvm_nodal_from_desc_add_faces | ( | fvm_nodal_t * | this_nodal,
|  | const cs_lnum_t | n_extr_faces,
|  | const cs_lnum_t | extr_faces[],
|  | const int | n_face_lists,
|  | const cs_lnum_t | face_list_shift[],
|  | const cs_lnum_t * | face_vertex_idx[],
|  | const cs_lnum_t * | face_vertex_num[],
|  | const int * | face_gc_id[],
|  | const cs_lnum_t | parent_face_num[]
| ) |  |

fvm_element_t fvm_nodal_from_desc_cell | ( | const cs_lnum_t | cell_id,
|  | const int | n_face_lists,
|  | const cs_lnum_t | face_list_shift[],
|  | const cs_lnum_t * | face_vertex_idx[],
|  | const cs_lnum_t * | face_vertex_num[],
|  | const cs_lnum_t | cell_face_idx[],
|  | const cs_lnum_t | cell_face_num[],
|  | cs_lnum_t | vertex_num[8]
| ) |  |